Sluby
REST APIOps

Library totals for the workspace.

The same totals for every member and key.

GET
/api/v1/stats

The same totals for every member and key.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A Sluby API key (sluby_...) sent as Authorization: Bearer <key>. Keys carry scopes: upload, read, manage.

Response Body

Totals.

application/json
  1. response
total*integer
by_status*
stored_bytes*integer

Bytes stored on Sia for these assets, before erasure coding.

ready_duration_ms*integer
object_count*integer

Sia objects backing these assets.

Example Request
curl -X GET 'https://sluby.example.com/api/v1/stats'
Example Response
{  "total": 0,  "by_status": {    "created": 0,    "uploading": 0,    "processing": 0,    "ready": 0,    "failed": 0  },  "stored_bytes": 0,  "ready_duration_ms": 0,  "object_count": 0}